#
# $Id: Makefile.am,v 1.17 2000/08/14 11:10:09 lha Exp $
#

AUTOMAKE_OPTIONS = foreign no-dependencies

lib_LIBRARIES = libzephyr.a

man_MANS = zephyr.1

CP = cp

zephyr_err.h: zephyr_err.et
	$(COMPILE_ET) $(srcdir)/zephyr_err.et
	$(CP) $@ ../../include/zephyr/zephyr_err.h

zephyr_err.c: zephyr_err.h

BUILT_SOURCES = zephyr_err.c zephyr_err.h

libzephyr_a_SOURCES = \
	ZAsyncLocate.c  \
	ZCkAuth.c \
	ZCkIfNot.c \
	ZClosePort.c \
	ZCmpUID.c \
	ZCmpUIDP.c \
	ZFlsLocs.c \
	ZFlsSubs.c \
	ZFmtAuth.c \
	ZFmtList.c \
	ZFmtNotice.c \
	ZFmtRaw.c \
	ZFmtRawLst.c \
	ZFmtSmRLst.c \
	ZFmtSmRaw.c \
	ZFreeNot.c \
	ZGetDefRlm.c \
	ZGetLocs.c \
	ZGetRhs.c \
	ZGetSender.c \
	ZGetSubs.c \
	ZGetWGPort.c \
	ZIfNotice.c \
	ZInit.c \
	ZLocateU.c \
	ZLocations.c \
	ZMakeAscii.c \
	ZMkAuth.c \
	ZNewLocU.c \
	ZOpenPort.c \
	ZParseNot.c \
	ZPeekIfNot.c \
	ZPeekNot.c \
	ZPeekPkt.c \
	ZPending.c \
	ZReadAscii.c \
	ZRealmCnt.c \
	ZRecvNot.c \
	ZRecvPkt.c \
	ZRetSubs.c \
	ZSendList.c \
	ZSendNot.c \
	ZSendPkt.c \
	ZSendRLst.c \
	ZSendRaw.c \
	ZSetDest.c \
	ZSetFD.c \
	ZSetSrv.c \
	ZSubs.c \
	ZVariables.c \
	ZWait4Not.c \
	ZExpnRlm.c \
	ZhmStat.c \
	Zinternal.c \
	ZRlmCfg.c \
	zephyr_err.c

INCLUDES = -I. -I$(srcdir) -I../../include -I$(srcdir)/../../include $(CPPFLAGS_roken)

#
# @DEFS@ should go any, fixed in automake 1.4+
#

DEFS	 = -DSYSCONFDIR="\"@sysconfdir@"\" @DEFS@

$(libzephyr_a_OBJECTS): zephyr_err.h

CLEANFILES = zephyr_err.h zephyr_err.c

pkginclude_HEADERS = zephyr_err.h
